# Uses of Class
org.apache.lucene.search.grouping.GroupReducer

- ## Uses of GroupReducer in org.apache.lucene.search.grouping

  Fields in org.apache.lucene.search.grouping declared as GroupReducer
  Modifier and Type
  Field
  Description
  `protected final GroupReducer<T,?>`
  SecondPassGroupingCollector.`groupReducer`
  Constructors in org.apache.lucene.search.grouping with parameters of type GroupReducer
  Modifier
  Constructor
  Description
  ``
  `SecondPassGroupingCollector(GroupSelector<T> groupSelector, Collection<SearchGroup<T>> groups, GroupReducer<T,?> reducer)`
  Create a new SecondPassGroupingCollector